## org.codehaus.groovy.runtime.metaclass
Class ReflectionMetaMethod

Field Summary
`CachedMethod` | `method`

Constructor Summary
`ReflectionMetaMethod(CachedMethod method)`

Method Summary
`CachedClass` | `getDeclaringClass()`
`int` | `getModifiers()`
`String` | `getName()`
`def` | `getPT()`
`Class` | `getReturnType()`
`Object` | `invoke(Object object, def arguments)`
`String` | `toString()`

Constructor Detail

### ReflectionMetaMethod

    public ReflectionMetaMethod(CachedMethod method)

Method Detail

### getDeclaringClass

    public CachedClass getDeclaringClass()

### getModifiers

    public int getModifiers()

### getName

    public String getName()

### getPT

    def getPT()

### getReturnType

    public Class getReturnType()

### invoke

    public Object invoke(Object object, def arguments)

### toString

    public String toString()